=== installer/macosx/Makefile ===
installer: new_install.cxx installer.cxx installer.h
	c++ -g -o installer new_install.cxx -lfltk -lpthread  -framework Carbon -framework ApplicationServices -lsupc++
