## csound 5.10.1~dfsg1

=== SConstruct ===
--- 
+++ 
@@ -24,7 +24,6 @@
 import os.path
 import sys
 import string
-import zipfile
 import shutil
 import copy
 
@@ -33,7 +32,6 @@
 #   UTILITY FUNCTIONS
 #############################################################################
 
-zipDependencies = []
 pluginLibraries = []
 executables = []
 headers = Split('''
@@ -117,14 +115,14 @@
 commandOptions.Add('generatePdf',
     'Set to 1 to generate PDF documentation',
     '0')
-commandOptions.Add('generateZip',
-    'Set to 1 to generate zip archive',
-    '0')
 commandOptions.Add('buildLoris',
     'Set to 1 to build the Loris Python extension and opcodes',
     '1')
 commandOptions.Add('useOSC',
     'Set to 1 if you want OSC support',
+    '0')
+commandOptions.Add('bufferoverflowu',
+    'Set to 1 to use the Windows buffer overflow library, required if you use MinGW to link with MSVC-built libraries',
     '0')
 if getPlatform() != 'win32':
     commandOptions.Add('useUDP',
@@ -140,6 +138,9 @@
 commandOptions.Add('prefix',
     'Base directory for installs. Defaults to /usr/local.',
     '/usr/local')
+commandOptions.Add('instdir',
+    'For the install target: puts instdir before the prefix',
+    '')
 commandOptions.Add('buildRelease',
     'Set to 1 to build for release (implies noDebug).',
     '0')
@@ -226,15 +227,23 @@
 commandOptions.Add('buildvst4cs',
     'Set to 1 to build vst4cs plugins (requires Steinberg VST headers)',
     '0')
-commandOptions.Add('buildSDFT',
-    'Set to 0 to avoid building SDFT code',
-    '1')
-commandOptions.Add('useGettext',
+if getPlatform() == 'win32':
+  commandOptions.Add('useGettext',
     'Set to 1 to use the GBU internationalisation/localisation scheme)',
     '0')
+else:
+  commandOptions.Add('useGettext',
+    'Set to 0 to use the Varga internationalisation/localisation scheme)', '1')
 commandOptions.Add('buildImageOpcodes',
     'Set to 0 to avoid building image opcodes',
     '1')
+##### JPff for OLPC #####
+commandOptions.Add('buildOLPC',
+    'Set to 1 to build OLPC version',
+    '0')
+commandOptions.Add('tclversion',
+    'Set to 8.4 or 8.5',
+    '8.4')
 
 # Define the common part of the build environment.
 # This section also sets up customized options for third-party libraries, which
@@ -319,29 +328,18 @@
 customSWIGFLAGS = commonEnvironment['customSWIGFLAGS']
 commonEnvironment.Prepend(SWIGFLAGS = customSWIGFLAGS)
 
-# Define options for different platforms.
-if getPlatform() != 'win32':
-    print "Build platform is '" + getPlatform() + "'."
-else:
-    if compilerMicrosoft():
-        print "Build platform is Microsoft Visual C++ (MSVC)."
-    elif compilerIntel():
-        print "Build platform is the Intel C++ Compiler (ICL)."
-    elif compilerGNU():
-        print "Build platform is MinGW/MSYS"
-
-print "SCons tools on this platform: ", commonEnvironment['TOOLS']
-
-commonEnvironment.Prepend(CPPPATH = ['.', './H'])
-if commonEnvironment['useLrint'] != '0':
-    commonEnvironment.Prepend(CCFLAGS = ['-DUSE_LRINT'])
-if commonEnvironment['useGettext'] != '0':
-    print "Using GNU gettext scheme"
-    commonEnvironment.Prepend(CCFLAGS = ['-DGNU_GETTEXT'])
-    if getPlatform() == "win32":
-        commonEnvironment.Append(LIBS=['intl'])
-else:
-    print "Using Istvan localisation"
-    commonEnvironment.Prepend(CCFLAGS = ['-DNOGETTEXT'])
-    
-if commonEnvironment['gcc3opt'] != '0' or commonEnvironment['gcc4opt'] != '0':
+if commonEnvironment['buildOLPC'] == '1':
+    commonEnvironment['pythonVersion'] = '2.5'
+    buildOLPC = True;
+    commonEnvironment.Prepend(CPPFLAGS = ['-DOLPC'])
+    commonEnvironment.Prepend(CPPFLAGS = ['-DENABLE_OPCODEDIR_WARNINGS=0'])
+    if getPlatform() != 'linux':
+       print "Build platform is not linux"
+    # Set other options??
+    commonEnvironment['useGettext'] = '1'
+    commonEnvironment['useDouble'] = '0'
+    commonEnvironment['usePortAudio'] = '0'
+    commonEnvironment['useJack'] = '1'
+    #jackFound = False
+    commonEnvironment['buildCsoundAC'] = '0'
+    commonEnvironment['buildCsound5GUI'] = '0'
