## csound 5.12.1~dfsg

=== SConstruct ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #J vim:syntax=python
 print '''
-C S O U N D 5
+      C S O U N D 5
 
 SCons build file for Csound 5:
 API library, plugin opcodes, utilities, and front ends.
@@ -30,6 +30,7 @@
 #############################################################################
 #
 #   UTILITY FUNCTIONS
+#
 #############################################################################
 
 pluginLibraries = []
@@ -55,6 +56,8 @@
         return 'win32'
     elif sys.platform[:6] == 'darwin':
         return 'darwin'
+    elif sys.platform[:5] == 'sunos':
+        return 'sunos'    
     else:
         return 'unsupported'
 
@@ -204,10 +207,16 @@
     "Build Virtual MIDI keyboard. Requires FLTK 1.1.7 or later headers and libs",
     '0')
 commandOptions.Add('buildInterfaces',
-    "Build interface library for Python, JAVA, Lua, C++, and other languages.",
+    "Build C++ interface library.",
+    '0')
+commandOptions.Add('buildLuaWrapper',
+    'Set to 1 to build Lua wrapper for the C++ interface library (needs buildInterfaces).',
+    '0')
+commandOptions.Add('buildPythonWrapper',
+    'Set to 1 to build Python wrapper for the C++ interface library (needs buildInterfaces).',
     '0')
 commandOptions.Add('buildJavaWrapper',
-    'Set to 1 to build Java wrapper for the interface library.',
+    'Set to 1 to build Java wrapper for the C++ interface library (needs buildInterfaces).',
     '0')
 commandOptions.Add('buildOSXGUI',
     'On OSX, set to 1 to build the basic GUI frontend',
@@ -221,19 +230,26 @@
 commandOptions.Add('withMSVC',
     'On Windows, set to 1 to build with Microsoft Visual C++, or set to 0 to build with MinGW',
     '0')
+commandOptions.Add('withSunStudio',
+    'On Solaris, set to 1 to build with Sun Studio, or set to 0 to build with gcc',
+    '1')    
 commandOptions.Add('buildNewParser',
     'Enable building new parser (requires Flex/Bison)',
     '0')
+commandOptions.Add('NewParserDebug',
+    'Enable tracing of new parser',
+    '0')
 commandOptions.Add('buildvst4cs',
     'Set to 1 to build vst4cs plugins (requires Steinberg VST headers)',
     '0')
 if getPlatform() == 'win32':
   commandOptions.Add('useGettext',
-    'Set to 1 to use the GBU internationalisation/localisation scheme)',
+    'Set to 1 to use the GBU internationalisation/localisation scheme',
     '0')
 else:
   commandOptions.Add('useGettext',
-    'Set to 0 to use the Varga internationalisation/localisation scheme)', '1')
+    'Set to 0 for none and 1 for GNU internationalisation/localisation scheme',
+    '1')
 commandOptions.Add('buildImageOpcodes',
     'Set to 0 to avoid building image opcodes',
     '1')
@@ -244,12 +260,21 @@
 commandOptions.Add('tclversion',
     'Set to 8.4 or 8.5',
     '8.4')
+commandOptions.Add('includeMP3',
+     'Set to 1 if using mpadec', 
+     '0')
+commandOptions.Add('includeWii',
+     'Set to 1 if using libwiimote', 
+     '0')
+commandOptions.Add('includeP5Glove',
+     'Set to 1 if using P5 Glove', 
+     '0')
 
 # Define the common part of the build environment.
 # This section also sets up customized options for third-party libraries, which
 # should take priority over default options.
 
-commonEnvironment = Environment(ENV = {'PATH' : os.environ['PATH']})
+commonEnvironment = Environment(ENV = os.environ)
 commandOptions.Update(commonEnvironment)
 
 def compilerIntel():
@@ -263,9 +288,15 @@
         return True
     else:
         return False
+        
+def compilerSun():
+    if getPlatform() == 'sunos' and commonEnvironment['withSunStudio'] == '1':
+        return True
+    else:
+        return False        
 
 def compilerGNU():
-    if not compilerIntel() and not compilerMicrosoft():
+    if not compilerIntel() and not compilerMicrosoft() and not compilerSun():
         return True
     else:
         return False
@@ -273,22 +304,12 @@
 optionsFilename = 'custom.py'
 
 if compilerIntel():
-	print 'Importing complete environment for the Intel C++ Compiler (ICL)...'
-	commonEnvironment = Environment(ENV = os.environ)
-	commandOptions.Update(commonEnvironment)
 	Tool('icl')(commonEnvironment)
 	optionsFilename = 'custom-msvc.py'
 elif compilerMicrosoft():
-	# To enable the Microsoft tools, 
-	# the WHOLE environment must be imported,
-	# not just the PATH; so we replace the 
-	# enviroment with a more complete one.
-	print 'Importing complete environment for Microsoft Visual C++ (MSVC)...'
-	commonEnvironment = Environment(ENV = os.environ)
-	commandOptions.Update(commonEnvironment)
 	optionsFilename = 'custom-msvc.py'
 elif getPlatform() == 'win32':
-        # Similarly, on Windows, to exclude MSVC tools,
+	# On Windows, to exclude MSVC tools,
 	# we have to force MinGW tools and then re-create
 	# the environment from scratch.
 	commonEnvironment = Environment(ENV = os.environ, tools = ['mingw', 'swig', 'javac', 'jar'])
@@ -332,14 +353,3 @@
     commonEnvironment['pythonVersion'] = '2.5'
     buildOLPC = True;
     commonEnvironment.Prepend(CPPFLAGS = ['-DOLPC'])
-    commonEnvironment.Prepend(CPPFLAGS = ['-DENABLE_OPCODEDIR_WARNINGS=0'])
-    if getPlatform() != 'linux':
-       print "Build platform is not linux"
-    # Set other options??
-    commonEnvironment['useGettext'] = '1'
-    commonEnvironment['useDouble'] = '0'
-    commonEnvironment['usePortAudio'] = '0'
-    commonEnvironment['useJack'] = '1'
-    #jackFound = False
-    commonEnvironment['buildCsoundAC'] = '0'
-    commonEnvironment['buildCsound5GUI'] = '0'
