=== debian/changelog ===
csound (1:5.12.1~dfsg-6) unstable; urgency=low

  * Acquire lock before using it on chnclear opcode (Closes: #603321)

 -- Felipe Sateler <fsateler@debian.org>  Thu, 16 Dec 2010 20:06:28 -0300

csound (1:5.12.1~dfsg-5) unstable; urgency=medium

  * Do not print error message when RAWwAVE_PATH is undefined
  * Build documentation at install stage to avoid building in buildds.
     Really Closes: #590948
  * Urgency medium to speed up jackd transition.

 -- Felipe Sateler <fsateler@debian.org>  Thu, 05 Aug 2010 12:04:49 -0400

csound (1:5.12.1~dfsg-4) unstable; urgency=medium

  * Build documentation in -doc specific build target, to avoid
    supoerfluous rebuilds in arch-only rebuilds. Closes: bug#590948,
    thanks to Julin Cristau and others.
  * Set urgency=medium to help speed up jackd transition.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 04 Aug 2010 16:14:22 -0400

csound (1:5.12.1~dfsg-3) unstable; urgency=low

  [ Felipe Sateler ]
  * Disable csound5gui and cseditor
  * Update my e-mail address
  * Remove the DM-Upload-Allowed field
  * Build depend against default-jdk, not default-jdk-builddep, which
    was wrong
  * Do not specify list for java, as it is available on all archs now.

  [ Jonas Smedegaard ]
  * Use Breaks (not Conflicts).
  * Bump Policy compliance to Standards-Version 3.9.1.
  * Comment out cseditor and csound5gui in menu file.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 01 Aug 2010 16:20:08 -0400

csound (1:5.12.1~dfsg-2) unstable; urgency=low

  * Revert unpatch hack: upsets build daemons.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Apr 2010 22:36:10 +0200

csound (1:5.12.1~dfsg-1) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Fix Mac-encoded apostrophe in copyright, thanks to lintian.
  * Bump Standards-Version to 3.8.4.
  * Wrap long descriptions at 72 characters.
  * Fix capitalization of PureData in a long description.
  * Packaging moved to Debian Multimedia Maintainers: Update Maintainer
    and Vcs-* stanzas in control file.
  * Drop implementing DEB_MAINTAINER_MODE in rules file: handled in cdbs
    now. Drop related lintian override as well.
  * Drop package-relations.mk (last remaining local CDBS snippet):
    included in cdbs itself now.
  * Use CDBS class python-module.mk, and simplify local Python hacks in
    rules file.
  * Refresh patches, using shortening quilt options --no-timestamps
    --no-index -pab.
  * Update copyright file (new author, no new licenses).
  * Fix use DEB_UPSTREAM_REPACKAGE_EXCLUDES (not abandoned
    DEB_UPSTREAM_REPACKAGE_EXCLUDE) in rules file.
  * Tighten repackaging hints to match current (slightly cleaner)
    upstream release, in rules and copyright files.

  [ Felipe Sateler ]
  * New upstream release
    - Update patches for new upstream release
    - Install crossfm opcode
    - Update symbols file
  * Drop local CDBS snippets that have been integrated in the main CDBS
    package
  * Reorder scons options
  * Reorder build-dependencies
  * Make every build option explicit
  * Fix a segfault when an ending \ is used to split a line in the
    orchestra
  * Do not set buildSDFT option, it was dropped upstream
  * Detect default tcl version and enforce it
  * Enable STK opcodes
  * Invoke the java archs resolution script in debian/rules
  * Update debian/control

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Apr 2010 14:52:43 +0200

csound (1:5.11.1~dfsg-4) unstable; urgency=low

  [ Felipe Sateler ]
  * Change luacsnd package name in control files (this caused -3 luacsnd to be
    empty).
  * Make the lua package provide the old name.
  * Install to /usr/lib/dist-packages with python 2.6 or higher.
    Closes: #571270
  * Add DM-Upload-Allowed field.

  [ Jonas Smedegaard ]
  * Stop mentioning quilt in README.source.
  * Update local CDBS snippets:
    + package-relations.mk:
      - Merge mixture of versioned and unversioned dependencies
      - Use unversioned dependencies when satisfied in oldstable
      - Improve whitespace cleanup
      - Rewrite and silence applying dependencies
      - Handle cdbs 0.4.53 dependency (needed when using debhelper v7)
    + upstream-tarball.mk:
      - Depend unversioned on cdbs (the needed 0.4.39 is in oldstable)
      - Preserve bzip2 tarballs with source format '3.0 (quilt)'.
    + copyright-check.mk:
      - More aggressive scanning (check top 99999 lines, not just 60)
      - Simplify more licensing notices and preserve non-ASCII chars
      - Group hints by sorted owner list (ignoring years)
      - Limit console output both horisontally and vertically
      - Use rev123 of draft DEP5 for hints file
  * Refer to FSF website (not postal address) in debian/rules header.
  * Rewrite copyright file using in DEP5 rev. 135 format.
  * Add DM-Upload-Allowed field to control.in.
  * Refresh patches with quilt option --no-timestamp.
  * Add rudimentary DEP3 patch headers.
  * Build-depend unversioned on cdbs.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Mar 2010 01:31:25 +0100

csound (1:5.11.1~dfsg-3) unstable; urgency=low

  [ Felipe Sateler ]
  * Be more verbose on mv-inside-for-loops
  * Rename the lua module (Closes: #561131)
  * Do not link against the lua library (Closes: #561128)
  * Rename the lua module as per the lua policy
  * Correct SONAME and package name of the lua bindings
  * Regenerate control file

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Dec 2009 18:51:51 +0100

csound (1:5.11.1~dfsg-2) unstable; urgency=low

  * Fix extend local scons config.py to Include
    /usr/lib/jvm/default-java/include/linux. Thanks to
    Carlos O'Donell for thorough investigations.
  * Switch to source format 3.0 (quilt):
    + Unfuzz patches, and apply them to packaging source.
    + Stop including cdbs snippet patchsys-quilt.mk.
    + Stop build-depending on quilt or patchutils.
    + Add source format hint to packaging source.
  * Drop backportability for Etch:
    + Drop fallback build-dependencies on java-gcj-compat-dev and
      versioned tcl and tk libraries,

